# Configure README

To use this dot file, you need to install these packages. For Arch Linux users you can use my repository.

## Wayfire

- fcitx5 [input]

- geary [email]

- gnome-keyring [keyring]

- grim [screenshot]

- kdeconnect [connect your mobbilephone and PC]

- ly [display manager]

- mako [notification]

- nwg-launchers: nwgbar [logout lock restart shutdown UI], nwggrid [applications menu]

- slurp [select a region, help screenshot]

- swaylock [lock screen]

- tilix [terminal]

- waybar [bar]

- wf-info [select a window, help screenshot and screencast]

- wf-recorder [screencast]

- wf-roundedcorners [windows decoration]

- wf-shell: wf-background [background], wayland-logout [logout]

- wl-clipboard [clipboard]

- wofi [launcher]

## Waybar

- blueberry [bluetooth management GUI]

- networkmanager [network management tui]

- pavucontrol [volume control GUI]

- ttf-nerd-fonts-symbols  [font for waybar]

## Others

- vim-wayland-clipboard [for vim clipboard]

- config `/etc/enviroment` file

```
GTK_USE_PORTAL=0
GTK_THEME=Graphite-Dark

GTK_IM_MODULE=fcitx
QT_IM_MODULE=fcitx
XMODIFIERS=@im=fcitx
SDL_IM_MODULE=fcitx
INPUT_METHOD=fcitx

QT_QPA_PLATFORM=wayland
```

## Use My Arch Linux Repository

Add the following content to the /etc/pacman.conf
```
[guoyi]
Server = https://repo.malacology.net/$arch
```

install GPG keyring to use my repository
```
# pacman-key --recv-keys B1F96021DB62254D
# pacman-key --finger B1F96021DB62254D
# pacman-key --lsign-key B1F96021DB62254D
```

then sync the database
```
# pacman -Syu
```

install all pkgs you need
```
# pacman -Sy $(curl -sS https://git.malacology.net/malacology/dotconfig/raw/branch/master/pkglist)
```

## Screenshots

![](https://git.malacology.net/malacology/dotconfig/raw/branch/master/screenshots/screenshot1.png)

![](https://git.malacology.net/malacology/dotconfig/raw/branch/master/screenshots/screenshot2.png)

![](https://git.malacology.net/malacology/dotconfig/raw/branch/master/screenshots/screenshot3.png)

![](https://git.malacology.net/malacology/dotconfig/raw/branch/master/screenshots/screenshot4.png)

![](https://git.malacology.net/malacology/dotconfig/raw/branch/master/screenshots/screenshot5.png)
